package com.galaxis.manatee.entity.chuanyun.data.object;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeDeserializer;
import com.galaxis.manatee.util.ChuanyunLocalDateTimeSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.extern.slf4j.Slf4j;

import javax.persistence.Entity;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Slf4j
@EqualsAndHashCode(callSuper = true)
@Data
@Entity(name = "CHUANYUN_BUSINESS_ENTERTAINMENT")
@JsonIgnoreProperties(ignoreUnknown = true)
public class ChuanyunBusinessEntertainmentDO extends BasicDO{

    /**
     * 劳动合同所属公司
     */
    private String company;

    /**
     * 申请人
     */
    private String applicant;

    /**
     * 部门
     */
    private String department;

    /**
     * 日期
     */
    @JsonSerialize(using = ChuanyunLocalDateTimeSerializer.class)
    @JsonDeserialize(using = ChuanyunLocalDateTimeDeserializer.class)
    private LocalDateTime datetime;

    /**
     * 招待事由
     */
    private String reason;

    /**
     * 招待总金额（元）
     */
    private BigDecimal totalamount;

    /**
     * 招待人数（含接待人员）
     */
    private String personcount;

    /**
     * 人均餐费
     */
    private BigDecimal averageamount;

    /**
     * 备注
     */
    private String remark;
}
